/* ----------------------------------------------------------------------- */
/* Template source file generated by piklab */

#include <pic16f628a.h>

#include <macros.h>
#include <delay.h>
#include <rfm12.h>


//#define GPSIM_EN

/* ----------------------------------------------------------------------- */
/* Configuration bits: adapt to your setup and needs */

#if 0
typedef unsigned int word;
word at _CONFIG1 CONFIG1 = _WDT_OFF &
    _PWRTE_ON &
    _INTRC_IO &
    //_EXTCLK &
    _MCLR_OFF &
    _BODEN_OFF & 
    _LVP_OFF &
    _CPD_OFF &
    _WRT_PROTECT_OFF &
    _DEBUG_OFF &
    _CCP1_RB0 &
    _CP_OFF;
word at _CONFIG2 CONFIG2 = _FCMEN_ON & _IESO_ON;
#endif

#if 1
typedef unsigned int word;
word at 0x2007 CONFIG = _WDT_OFF & 
    _PWRTE_ON & 
    _INTOSC_OSC_NOCLKOUT & 
    _MCLRE_OFF & 
    _LVP_OFF & 
    _DATA_CP_OFF;
#endif

/* ----------------------------------------------------------------------- */

unsigned char rxbuf[19];

/* ----------------------------------------------------------------------- */


/**
 * @fn void isr
 * @brief interrupt service routine
 * @param 
 */
void isr() interrupt 0 {                                                        
  /* interrupt service routine */
  /* << insert interrupt code >> */
  INTF = 0;     // clear PB0 interrupt so it can happen again
  RB6=1;
  rfm12_rcv_msg(rxbuf,5);
}


/* ----------------------------------------------------------------------- */

/**
 * @fn void main
 * @brief main appl
 * @param
 */
void main() {  
  unsigned int status=0;
  
#ifdef __16f88
  OSCCON=0x60;      // internal RC set to 4MHz
  CMCON=0x07;       // comparators off, enable I/O ports
#endif
#ifdef __16f628a
  CMCON=0x07;       // comparators off, enable I/O ports
#endif

  //TRISA=0xff;     // PortA all inputs
  TRISB=0x00;     // all out
  PORTB=0x00;

  INTCON=0;       // clear interupt register complitelly
  INTE=1;         // set only PORTB/PB0 interrupt
  INTEDG=0;       // interrupt on falling edge
  GIE=1;          // globally enable interrupts

  // init rfm12 module
  rfm12_init();
  rfm12_ena_rx();
  
  delay_ms(200);

  while(1){
/*     while(!nIRQ){
       RB6=1;
       rfm12_rcv_msg(rxbuf,5);
     }*/
     delay_ms(1);
     RB6=0;
  }
}


/* ----------------------------------------------------------------------- */
